## ros-kinetic-delphi-mrr-msgs 3.0.1

=== CMakeLists.txt ===
project(delphi_mrr_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "ActiveFaultLatched1.msg"
  "ActiveFaultLatched2.msg"
  "Detection.msg"
  "FordDiagReqFunc.msg"
  "FordDiagRespPhys.msg"
  "IFVStatusCompensated.msg"
  "IFVStatusHostCANVersion.msg"
  "IFVStatusVFPCANVersion.msg"
  "IVFTracksChange.msg"
  "LrosCarCfgFord.msg"
  "LrosFordSpecific.msg"
  "LrosOdometerValue.msg"
  "LrosSignalsActualValues.msg"
  "LrosVinPart1.msg"
  "LrosVinPart2.msg"
  "LrosVinPart3.msg"
  "MrrControlAlignment.msg"
  "MrrControlMsgFR.msg"
  "MrrControlMsgNR.msg"
  "MrrHeaderAlignmentState.msg"
  "MrrHeaderInformationDetections.msg"
  "MrrHeaderSensorCoverage.msg"
  "MrrHeaderSensorPosition.msg"
  "MrrHeaderTimestamps.msg"
  "MrrStatusSerialNumber.msg"
  "MrrStatusSwVersion.msg"
  "MrrStatusTempVolt.msg"
  "SyncTimestamp.msg"
  "SystemAlignFactory1.msg"
  "SystemAlignFactory2.msg"
  "SystemAlignment1.msg"
  "SystemAlignment2.msg"
  "SystemControl.msg"
  "SystemStatus.msg"
  "SystemTDBlockage.msg"
  "TrackMotionPower.msg"
  "VehicleStateMsg1.msg"
  "VehicleStateMsg2.msg"
  "VehicleStateMsg3.msg"
  "WheelSpeedMsg.msg"
  "XCPMrrCtoReq.msg"
  "XCPMrrCtoResp.msg"
  "XCPMrrDaqResp.msg"
  "XCPMrrDtoReq.msg"
  "XCPMrrDtoResp.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-kinetic-delphi-mrr-msgs (3.0.1-1xenial) xenial; urgency=high

  * Adding ros_environment as required package to all packages.
  * Hybridizing delphi_mrr_msgs. (#39 <https://github.com/astuff/astuff_sensor_msgs/issues/39>)
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 06:00:00 -0000

ros-kinetic-delphi-mrr-msgs (2.3.1-1xenial) xenial; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-delphi-mrr-msgs (2.3.0-1xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-kinetic-delphi-mrr-msgs (2.2.2-1xenial) xenial; urgency=high

  * Merge pull request #23 <https://github.com/astuff/astuff_sensor_msgs/issues/23> from ASDeveloper00/bugfix
  * MRR detection msg - datatype correction
  * Contributors: Joshua Whitley, sepidj

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-kinetic-delphi-mrr-msgs (2.2.1-1xenial) xenial; urgency=high

  * Merge pull request #20 <https://github.com/astuff/astuff_sensor_msgs/issues/20> from ASDeveloper00/master
    MRR clean up : ESR, styling, bug fixes
  * MRR - Initial commit
    * all newly created messages for MRR repo
    * all newly added message definitions
    * committed by Brad
  * Contributors: ASDeveloper00, Daniel-Stanek, sepidj

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-delphi-mrr-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-ros-environment, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/delphi_mrr_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-delphi-mrr-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Message definitions for the Delphi MRR

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-delphi-mrr-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
